Skip to content

Update webhook

PUT
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/webhooks/{webhook_id}

Update webhook configuration.

webhook_id
required
Webhook Id
string format: uuid
X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string
WebhookUpdate

Update webhook request.

object
url
Any of:
string
<= 500 characters
events
Any of:
Array<string>
>= 1 items
secret
Any of:
string
<= 255 characters
is_active
Any of:
boolean
Examples

Request payload example

{
"url": "string",
"events": [
"string"
],
"secret": "string",
"is_active": true
}

Successful Response

Examples

200 response example

{
"status": "ok",
"message": "Request completed successfully."
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}